<template>
  <div class="mt-10">
    <a @click="remove"><i class="fas fa-times"></i></a>
    <i class="fas fa-tag grey-text"></i> <b>{{name}}</b><br>
    <small>
      <i class="fas fa-balance-scale-left grey-text"></i> <b class="grey-text">{{qty}}</b> <span class="grey-text">{{unit}}</span>
    </small>
  </div>
</template>
<script>
  export default {
    props: ["id", "name", "qty", "unit"],
    methods: {
      remove() {
        this.$http.delete("/api/v1/ingredients/" + this.id).then(response => {
          this.notifySuccess("Ingredient successfully removed")
          this.$bus.$emit("ingredientAdded")
        }, error => {
          this.notifyError("Something went wrong!")
        })
      }
    }
  }
</script>
